Bug 71752 - php4 and php5 configure segfaults while checking -lcrypt functionality on amd64.
Summary: php4 and php5 configure segfaults while checking -lcrypt functionality on amd64.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alex Dupre
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-09-15 08:10 UTC by Adam Gregoire
Modified: 2004-12-21 05:50 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Adam Gregoire 2004-09-15 08:10:13 UTC
While compoiling either php4 or php5 from ports on amd64 following errors occur:
checking for crypt in -lcrypt... yes
checking for standard DES crypt... Segmentation fault (core dumped)
no
checking for extended DES crypt... Segmentation fault (core dumped)
no
checking for MD5 crypt... Segmentation fault (core dumped)
no
checking for Blowfish crypt... Segmentation fault (core dumped)
no

Note that the port does finish building and installing.

Fix: 

N/A
How-To-Repeat: Try to compile php4 or php5 from recent ports on amd64(others?).

checking for crypt in -lcrypt... yes
checking for standard DES crypt... Segmentation fault (core dumped)
no
checking for extended DES crypt... Segmentation fault (core dumped)
no
checking for MD5 crypt... Segmentation fault (core dumped)
no
checking for Blowfish crypt... Segmentation fault (core dumped)
no
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2004-09-16 06:34:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ale

Over to maintainer.
Comment 2 Alex Dupre freebsd_committer 2004-10-11 21:44:43 UTC
State Changed
From-To: open->closed

Fixed with latest updates, thanks for submission!
Comment 3 bsdunx 2004-10-31 04:37:36 UTC
Tried compiling both php4 and php5 again and still get the same errors during configure.


		
__________________________________
Do you Yahoo!?
Yahoo! Mail Address AutoComplete - You start. We finish.
http://promotions.yahoo.com/new_mail
Comment 4 bsdunx 2004-12-02 10:48:37 UTC
This port is still not open please reopen this ticket.


-- 
Adam Gregoire <bsdunx@gmail.com>
Comment 5 ebola 2004-12-21 05:40:16 UTC
With the php 5.0.3 update, crypt is broken again. Exact same problem as
before:

checking for crypt in -lcrypt... yes
checking for standard DES crypt... Segmentation fault (core dumped)
no
checking for extended DES crypt... Segmentation fault (core dumped)
no
checking for MD5 crypt... Segmentation fault (core dumped)
no
checking for Blowfish crypt... Segmentation fault (core dumped)
no

-- 
.sig

Adam Gregoire <ebola@popgun.ca>
PopGun Productions.